# Generated from uicon-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name uicon

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Creates a development controller for designers to handoff static files
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Creates a development controller for designers to handoff static files. 
Supports Erb and Haml.  Simply run 'rails g ui_controller:install', and any
mock Erb or Haml files stored in the ui views folder will be listed at /ui.
This idea is not mine, credit goes to Hashrocket.
http://hashrocket.com/blog/posts/managing-design-handoffs-with-the-ui-controller
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/uicon.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.4-1
- Initial package
